%define name zapping
%define version 0.5.81
%define release 1mdk

Summary : TV viewer for GNOME
Name: %name
Version: %version
Release: %release
Copyright: GPL
URL: http://zapping.sourceforge.net/
Group: Video
Source: %{name}-%{version}.tar.bz2
Patch: %name-makefile.patch.bz2
BuildRoot: %_tmppath/%{name}-buildroot

%description
Zapping is a TV viewer for GNOME that supports both Video4Linux and Video4Linux2. It's extensible through plugins.based on GTK.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1

%build

./configure --prefix=%_prefix --datadir=%_datadir --mandir=%_mandir

make

%install

export DESTDIR=$RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%_prefix datadir=$RPM_BUILD_ROOT%_datadir bindir=$RPM_BUILD_ROOT%_bindir install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/zapping"\
title="Zapping"\
longtitle="A TV viewer for gnome"\
needs="x11"\
section="Multimedia/Video"
EOF
)
 
%post
%update_menus
  
%postun
%clean_menus


#%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%_bindir/*
/usr/share/gnome/apps/Multimedia/zapping.desktop
/usr/share/gnome/help/zapping/C
/usr/share/pixmaps/zapping/*
/usr/share/zapping/zapping.glade

%_menudir/*


%changelog
* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.81-1mdk
- new in contribs
